StrutsConfigXmlSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.apache.struts.StrutsConfigXmlSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.apache.struts
Class StrutsConfigXmlSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.apache.struts.StrutsConfigXmlSubTask

All Implemented Interfaces:
  Serializable

public class StrutsConfigXmlSubTask
extends XmlSubTask

Generates struts-config.xml deployment descriptor.

Version:
  $Revision: 1.12 $
Author:
  Dmitri Colebatch, Nick Heudecker
See Also:
  Serialized Form
ant.element
  display-name="struts-config.xml" name="strutsconfigxml" parent="xdoclet.modules.web.WebDocletTask"
created
  September 2, 2001

Nested Class Summary
`static class` | `StrutsConfigXmlSubTask.StrutsVersion`

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`StrutsConfigXmlSubTask()` Describe what the StrutsConfigXmlSubTask constructor does

Method Summary
`void` | `execute()` Generate struts-config.xml
`String` | `getController()`
`String` | `getVersion()` Gets the Version attribute of the StrutsConfigXmlSubTask object
`void` | `setController(String controller)` Sets fully qualified class to use when instantiating ActionMapping objects.
`void` | `setVersion(StrutsConfigXmlSubTask.StrutsVersion version)` Sets the struts version to use.

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, engineStarted, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass, validateOptions`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrutsConfigXmlSubTask

    public StrutsConfigXmlSubTask()

  Describe what the StrutsConfigXmlSubTask constructor does

Method Detail

### getController

    public String getController()

### getVersion

    public String getVersion()

  Gets the Version attribute of the StrutsConfigXmlSubTask object

  Returns:
    The Version value

### setVersion

    public void setVersion(StrutsConfigXmlSubTask.StrutsVersion version)

  Sets the struts version to use. Legal values are "1.0", "1.1" and "1.2".

  Parameters:
    `version` -

### setController

    public void setController(String controller)

  Sets fully qualified class to use when instantiating ActionMapping objects.

  Parameters:
    `controller` -

### execute

    public void execute()
                 throws XDocletException

  Generate struts-config.xml

  Overrides:
    `execute` in class `TemplateSubTask`
  Throws:
    `XDocletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD